/* $Id: tcsrchr.h 21683 2006-04-21 15:15:18Z peterw $
 */

#include <tchar.h>

_TCHAR * _tcsrchr(const _TCHAR * s, _XINT c)
{
 _TCHAR cc = c;
 const _TCHAR * sp = (_TCHAR *)0;

 while(*s)
 {
  if(*s == cc) sp = s;
  s ++;
 }

 if(cc == 0) sp = s;

 return (_TCHAR *)sp;
}

/* EOF */
